Subject: Re: [ANNOUNCEMENT] Updated: cygrunsrv-0.94-1
From: Jason Tishler <[email-masked]>
To: Fred Yankowski <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 16 Jul 2001 10:04:17 -0400

Fred,

On Thu, Jul 12, 2001 at 11:42:08AM -0500, Fred Yankowski wrote:
> On Thu, Jul 12, 2001 at 11:45:39AM -0400, Jason Tishler wrote:
> > Please post your patch -- I've been waiting with bated breath since you
> > first mentioned it.  :,)  I will be quite willing to champion it (or a
> > better solution, if one can be devised) for inclusion into PostgreSQL CVS.
> 
> OK, here's the patch.  It's crude, simply causing the SIGHUP handlers
> (one for postmaster and one for postgres) to return immediately
> without triggering the normal config-file-reloading response.

What about trying to tackle this from another point of view?  I'm not
sure if this is doable or acceptable, but what about adding logic to the
Cygwin DLL so that it does not send SIGHUP (to itself) when the process is
running under cygrunsrv?  If this is deemed accepted, does anyone have any
ideas on what is the best way to determine when running under cygrunsrv?

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/